rpm 4.11.1-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
rpmstrpool.h File Reference
`#include <rpm/rpmtypes.h>`
Include dependency graph for rpmstrpool.h:

Go to the source code of this file.

## Functions
rpmstrPool | rpmstrPoolCreate (void)
| Create a new, empty string pool. More...
rpmstrPool | rpmstrPoolFree (rpmstrPool pool)
| Free a string pool and its contents. More...
rpmstrPool | rpmstrPoolLink (rpmstrPool pool)
| Reference a string pool. More...
void | rpmstrPoolFreeze (rpmstrPool pool, int keephash)
| Freeze a string pool: new strings cannot be added to a frozen pool. More...
void | rpmstrPoolUnfreeze (rpmstrPool pool)
| Unfreeze a string pool to allow new additions again. More...
rpmsid | rpmstrPoolId (rpmstrPool pool, const char *s, int create)
| Look up the id of a string. More...
rpmsid | rpmstrPoolIdn (rpmstrPool pool, const char *s, size_t slen, int create)
| Look up the id of a string with predetermined length. More...
const char * | rpmstrPoolStr (rpmstrPool pool, rpmsid sid)
| Look up a string by its pool id. More...
size_t | rpmstrPoolStrlen (rpmstrPool pool, rpmsid sid)
| Return length of a string by its pool id. More...
int | rpmstrPoolStreq (rpmstrPool poolA, rpmsid sidA, rpmstrPool poolB, rpmsid sidB)
| Compare two strings for equality by their ids. More...
rpmsid | rpmstrPoolNumStr (rpmstrPool pool)
| Return the number of strings stored in the pool. More...